Bug 217180 - Review Request: wbxml2 - WBXML parser and compiler library
Review Request: wbxml2 - WBXML parser and compiler library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-11-24 13:23 EST by Laurent Rineau
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 08:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2006-11-24 13:23:16 EST
Spec URL: http://www-sop.inria.fr/geometrica/team/Laurent.Rineau/Fedora/wbxml2.spec
SRPM URL: http://www-sop.inria.fr/geometrica/team/Laurent.Rineau/Fedora/wbxml2-0.9.2-3.src.rpm
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce
bandwidth in mobile communications.

This library is a required by libsyncml (to be submitted latter).
Comment 1 Michael Schwendt 2006-11-24 18:10:43 EST
wbxml2 is an orphaned and meanwhile dead.package:
Comment 2 Parag AN(पराग) 2006-11-26 10:22:01 EST
+ package builds in mock (development i386) for FC6.
+ rpmlint is silent for RPM and SRPM.
+ source files match upstream.
67a48fd9b69db8818a4dca5375c7993a   wbxml2-0.9.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named and is cleanly written.
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ libwbxml2.pc file present.
+ -devel subpackage exists
+ no .la files.
+ no translations are available.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
Comment 3 Parag AN(पराग) 2006-11-26 10:25:49 EST
Don't forget to CLOSE this bug with resolution NEXTRELEASE
Comment 4 Laurent Rineau 2006-11-27 09:36:08 EST
Thank you paragn (I cannot know if Parag is a first name or a family name, 

As wbxml2 was orphaned. I have to follow the rules of:

Well, as far as I can see, I only have to tell fedora-extras-list that I want 
to take over wbxml2.

I have contacted Michael Schwendt (that appears in the former wbxml2 
changelog) by e-mail to know if there was issues that lead to orphaning 

Perhaps I should also include the former changelog in my new spec file.
Comment 5 Laurent Rineau 2006-11-28 08:51:31 EST
Build for rawhide. Build job 22503.

I have just submitted a new request, for libsyncml this time. See bug #217524.

Note You need to log in before you can comment on or make changes to this bug.